:root {
  --company-primary-color: #7326de;
  --company-secondary-color: #000000;
  --company-success-color: #1e152a;
  --company-dark-color: #1e152a;
  --company-main-background-color: #f9f9f9;
}

.user-panel {
  background: var(--company-secondary-color);
}

.form-control:focus,
select:focus {
  border-color: rgba(249, 36, 160, 0.7) !important;
  outline: none !important;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(249, 36, 160, 0.3) !important;
}

a.sidebar-toggle,
a.sidebar-toggle:hover,
.main-header .sidebar-toggle:hover {
  color: white;
}

.content-wrapper {
  background-color: var(--company-main-background-color);
}

.main-header .navbar,
.main-header {
  background-color: var(--company-primary-color);
}

.navbar-custom-menu .dropdown > a {
  color: white !important;
}

.navbar-custom-menu > .navbar-nav li.user-menu {
  background: #1e152a !important;
}

.main-header .navbar-custom-menu ul.navbar-nav li.dropdown a:hover {
  background: #1e152a !important;
}

.sidebar-menu li a {
  transition: background;
}

.sidebar-menu > li:hover > a,
.sidebar-menu > li.menu-open > a {
  background: var(--company-secondary-color);
  color: white !important;
}

.treeview .treeview-menu {
  background: #f4f4f4;
}

.sidebar-menu .header {
  background: var(--company-main-background-color) !important;
  color: black;
}

div.appendGrid table.head thead tr {
  background: var(--company-secondary-color) !important;
  color: white !important;
  font-weight: bold;
}

.tabbable .nav {
  border-bottom: 1px solid var(--company-success-color) !important;
}

.tabbable .nav li a {
  color: var(--company-secondary-color);
}

.tabbable .nav li.active a {
  background: var(--company-secondary-color);
  color: white !important;
  border-bottom: 0px;
}

/* get rid of dropdowns in input number */

/* Chrome, Safari, Edge, Opera */

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */

input[type=number] {
  -moz-appearance: textfield;
}

table .odd {
  background-color: #f5f5f5 !important;
}

input[type=checkbox],
input[type=radio] {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  background-color: #fafafa;
  border: 2px solid var(--company-primary-color) !important;
  padding: 9px;
  border-radius: 3px;
  display: inline-block;
  position: relative;
  margin-right: 0.5rem;
  vertical-align: text-bottom;
}

input[type=checkbox]:checked,
input[type=radio]:checked {
  background-color: #e9ecee;
  border: 2px solid var(--company-primary-color);
  color: #99a1a7;
}

input[type=checkbox]:checked:after,
input[type=radio]:checked:after {
  content: "\F00C";
  font-size: 19px;
  position: absolute;
  top: -1px;
  left: 0px;
  color: var(--company-primary-color);
  font-family: FontAwesome;
}

input[type=submit] {
  border-color: transparent !important;
}

.dropdown-group select {
  -webkit-appearance: none;
  appearance: none;
  -moz-appearance: none;
}

.dropdown-group select[readonly],
.dropdown-group select[disabled] {
  background: #eeeeee;
}

.dropdown-group {
  position: relative;
  float: left;
  width: 100%;
}

.dropdown-group span.pointer {
  height: 30px;
  width: 30px;
  border-left: 1px solid #ddd;
  position: absolute;
  right: 0;
  top: 0;
  text-align: center;
  color: var(--company-secondary-color);
  font-size: 20px;
  z-index: 1;
}

.dropdown-group span.pointer i {
  margin-top: 6px;
}

.dropdown-group select {
  padding: 5px 40px 5px 10px !important;
  border: 1px solid #eee;
  background: none;
  height: 30px;
  position: relative;
  z-index: 2;
  width: 100%;
}

table.dataTable thead {
  background: var(--company-dark-color);
  color: white;
}

table.tasks_list thead tr {
  color: #000 !important;
}

.form-control:not([type=checkbox]):not([type=radio]):not(textarea) {
  height: 30px !important;
}

.treeview-menu > li.active > a {
  color: #fff;
}

.btn-primary {
  background-color: var(--company-primary-color);
}

.btn-secondary {
  background-color: var(--company-secondary-color);
  color: #fff;
}

.btn.focus,
.btn:focus,
.btn:hover {
  color: #fff;
  text-decoration: none;
}

.logo-lg {
  background: #000;
}

.sidebar-menu > li.menu-open > a,
.sidebar-menu > li:hover > a {
  color: #fff !important;
}

.treeview-menu > li.active > a {
  color: #fff !important;
}

.header1 {
  background: var(--company-primary-color) !important;
  margin-bottom: 4px;
  font-size: 20px;
  font-weight: 600;
  color: #FFF !important;
  padding: 15px;
  width: 100%;
  border-radius: 5px !important;
}

label.header1 {
  padding-top: 15px !important;
}

.logo-lg {
  display: flex !important;
  justify-content: center !important;
}

table input {
  margin: 0 !important;
}

.new_input {
  padding: 0px !important;
  border: none !important;
  border-bottom: 1px solid #bdbdbd !important;
  height: 30px !important;
  border-radius: 0 !important;
  box-shadow: none !important;
  margin-bottom: 5px !important;
  width: 100% !important;
}

.new_input:focus,
.new_input:focus-visible {
  outline: none;
  border-bottom: 1px solid var(--company-primary-color) !important;
}

.date_icon {
  position: relative;
  float: right;
  top: -30px;
  right: 10px;
  font-size: 18px;
}

.form-control[disabled],
.form-control[readonly],
fieldset[disabled] .form-control {
  background-color: #f3f3f3;
  opacity: 1;
}

.full_border {
  border: 1px solid #bdbdbd !important;
}

input[type=checkbox].form-control,
input[type=radio].form-control {
  -webkit-appearance: none !important;
  background-color: #fafafa !important;
  border: 2px solid var(--company-primary-color) !important;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05), inset 0px -15px 10px -12px rgba(0, 0, 0, 0.05) !important;
  padding: 9px !important;
  border-radius: 3px !important;
  display: inline-block !important;
  position: relative !important;
  margin-right: 0.5rem !important;
  vertical-align: text-bottom !important;
  width: 20px !important;
  height: 20px !important;
  margin-bottom: 0 !important;
}

input.form-control,
.dropdown-group select,
.chosen-choices {
  padding: 0px !important;
  border: none !important;
  border-bottom: 1px solid #bdbdbd !important;
  height: 30px;
  border-radius: 0 !important;
  box-shadow: none !important;
  margin-bottom: 5px !important;
  width: 100% !important;
  background-image: none !important;
}

select {
  border: none !important;
  border-bottom: 1px solid #bdbdbd !important;
  height: 30px;
  border-radius: 0 !important;
  box-shadow: none !important;
  margin-bottom: 5px !important;
}

.dataTables_filter input {
  width: auto !important;
}

textarea {
  border-radius: 0 !important;
  border-bottom: 1px solid #555 !important;
}

.form-control:focus,
select:focus,
textarea:focus {
  box-shadow: unset !important;
}

.checkbox label {
  padding-top: 0 !important;
}

form label {
  padding-top: 8px !important;
}

input[type=checkbox] {
  width: 20px !important;
}

.for1sttdchild .checkbox label {
  padding-left: 0 !important;
}

.modal-header {
  padding: 20px 15px !important;
}

.modal-header .close {
  font-size: 30px !important;
}

.sub_header {
  font-size: 13px;
  color: #444;
  border-bottom: 1px solid #444;
  width: 95%;
  margin-bottom: 10px;
  margin-left: 15px;
  margin-top: 15px;
}

.single_row {
  padding-bottom: 0px !important;
}

.fieldset_meta_data {
  margin: 0px !important;
  border: 2px solid #ddd;
  border-radius: 4px !important;
  padding: 15px 5px !important;
  padding-top: 8px !important;
  display: block;
}

.fieldset_meta_data legend {
  display: block;
  width: auto;
  padding: 0 5px;
  margin-bottom: 0px;
  font-size: 24px;
  line-height: inherit;
  color: #333;
  border: 0;
}

.button_new {
  padding: 8px 10px 8px 10px !important;
  border-radius: unset !important;
  font-size: 15px !important;
  font-weight: 600 !important;
  margin-right: 2px !important;
  height: 40px !important;
}

.appendGrid button {
  padding: 5px 2px !important;
  height: 32px !important;
  width: 25px !important;
  margin: 0 !important;
  margin-right: 3px !important;
}

.appendGrid tfoot td {
  padding: 0 !important;
}

.appendGrid tfoot td .append {
  width: 40px !important;
}

.btn-default {
  color: #fff !important;
  background-color: #626f80 !important;
  border: 1px solid #626f80 !important;
}

.swal2-popup {
  width: 500px;
  display: flex !important;
  font-size: 14px !important;
}

.ui-menu .ui-menu-item {
  all: unset;
  cursor: pointer;
}

.ui-autocomplete {
  max-height: 300px !important;
  overflow-y: auto !important;
  border: 1px solid #ddd !important;
}

.bp_name_autocomplete {
  padding: 4px;
  font-weight: 500;
  border-bottom: 1px solid #ddd;
}

.bp_name_autocomplete:hover {
  border-bottom: none;
  border: 2px solid var(--company-primary-color);
}

ul.nav-tabs:not(.project-tabs) li {
  border: 1px solid #d1d1d1;
  margin-right: 2px;
  border-bottom: unset;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

ul.nav-tabs:not(.project-tabs) li a {
  padding: 10px 10px !important;
}

@media (max-width: 768px) {
  ul.nav-tabs:not(.project-tabs) li a {
    margin: 4px;
  }

  ul.nav-tabs:not(.project-tabs) li {
    display: contents;
  }
}

ul.nav-tabs:not(.project-tabs) li:hover {
  background: #ddd;
}

.tabbable .nav {
  border-bottom: 1px solid #7f7f7f !important;
}

.ui-widget-header.last {
  min-width: 40px !important;
}

input[type=radio] {
  border-radius: 50% !important;
}

.approve_div {
  background: #2bdb32;
  border: 1px solid #2bdb32;
  padding: 5px 20px;
  color: #fff;
}

.reject_div {
  background: #fc2d42;
  border: 1px solid #fc2d42;
  padding: 5px 20px;
  color: #fff;
}

.submitted_div {
  background: #f0ad4e;
  border: 1px solid #f0ad4e;
  padding: 5px 20px;
  color: #fff;
}

.dropdown-group:has(> select[readonly]) {
  cursor: not-allowed;
}

.dropdown-group select[readonly],
.dropdown-group select[disabled] {
  background: #ffffff;
}

@media (min-width: 769px) {
  .appendGrid table tbody tr td input,
  .appendGrid table tbody tr td select {
    height: 40px !important;
    border-bottom: unset !important;
    margin-bottom: 0px !important;
  }
}

.widget_filters {
  width: 25%;
  float: right;
}

.remember-search {
  margin-right: 3px;
}

.dataTables_length {
  margin: 2px;
}

@media (max-width: 768px) {
  .appendGrid table tbody tr td {
    height: unset !important;
  }

  .appendGrid table tbody tr td input,
  .appendGrid table tbody tr td select {
    height: 33px !important;
    border-bottom: 1px solid var(--company-primary-color) !important;
    border-left: 1px solid var(--company-primary-color) !important;
    margin-bottom: 0px !important;
  }

  .appendGrid table tbody tr td.last {
    width: 100% !important;
  }

  .appendGrid table tbody tr td input,
  .appendGrid table tbody tr td select,
  .appendGrid table tbody tr td > span {
    margin-left: 47% !important;
  }

  .interactions_top_right {
    position: unset !important;
    justify-content: center !important;
    display: flex !important;
    box-shadow: unset !important;
  }

  .prev_next_btns {
    margin-top: 12px !important;
  }

  .col-lg-1,
  .col-lg-10,
  .col-lg-11,
  .col-lg-12,
  .col-lg-2,
  .col-lg-3,
  .col-lg-4,
  .col-lg-5,
  .col-lg-6,
  .col-lg-7,
  .col-lg-8,
  .col-lg-9,
  .col-md-1,
  .col-md-10,
  .col-md-11,
  .col-md-12,
  .col-md-2,
  .col-md-3,
  .col-md-4,
  .col-md-5,
  .col-md-6,
  .col-md-7,
  .col-md-8,
  .col-md-9,
  .col-sm-1,
  .col-sm-10,
  .col-sm-11,
  .col-sm-12,
  .col-sm-2,
  .col-sm-3,
  .col-sm-4,
  .col-sm-5,
  .col-sm-6,
  .col-sm-7,
  .col-sm-8,
  .col-sm-9,
  .col-xs-1,
  .col-xs-10,
  .col-xs-11,
  .col-xs-12,
  .col-xs-2,
  .col-xs-3,
  .col-xs-4,
  .col-xs-5,
  .col-xs-6,
  .col-xs-7,
  .col-xs-8,
  .col-xs-9 {
    padding-right: 5px !important;
    padding-left: 5px !important;
  }

  .data_section_body {
    padding: 20px 15px !important;
  }

  .widget_filters {
    width: 100%;
    margin-top: 0px !important;
  }

  .widget_filters select {
    width: 100% !important;
  }

  .x_panel > .col-md-12,
  .x_panel > .panel-body,
  .x_panel > .box,
  .x_panel > .row {
    margin: 5px !important;
    width: calc(100% - 10px) !important;
  }

  .dataTables_wrapper > .row:nth-child(2),
  .dataTables_wrapper > .row.table-container {
    margin-bottom: 0px !important;
  }

  div.dataTables_wrapper div.dataTables_length,
  div.dataTables_wrapper div.dataTables_filter {
    margin-top: 0rem !important;
    margin-bottom: 0rem !important;
  }

  .dataTables_wrapper {
    margin: 0 !important;
    box-shadow: unset !important;
  }

  .dataTables_wrapper > .row:nth-child(2),
  .dataTables_wrapper > .row.table-container {
    padding-top: 0 !important;
  }

  .appendGrid table,
  .table-responsive {
    border: unset !important;
  }

  .dataTable button,
  .dataTable a {
    padding: 2px 10px !important;
  }

  .appendGrid table tbody tr {
    margin-bottom: 20px !important;
    border: unset !important;
    overflow: hidden;
  }

  ::-webkit-scrollbar {
    width: 6px !important;
    height: 14px;
  }

  ::-webkit-scrollbar-track {
    background: #E9EDF1;
    border-radius: 10px;
  }

  ::-webkit-scrollbar-thumb {
    background-color: #E9EDF1;
    background-color: #B1B1B1;
    border-radius: 10px;
  }
}

